libmodule-info-perl_0.35-1_all.deb


Advertisement

Description

libmodule-info-perl - Perl module providing information about Perl modules

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libmodule-info-perl
Package version 0.35
Package release 1
Package architecture all
Package type deb
Installed size 132 B
Download size 38.41 KB
Official Mirror ftp.br.debian.org
Module::Info is a Perl module for determining information about Perl modules
without actually loading the module. It isn't actually specific to modules
and should work on any Perl code.

Alternatives

Package Version Architecture Repository
libmodule-info-perl_0.35-1_all.deb 0.35 all Debian Main
libmodule-info-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libmodule-info-perl_0.35-1_all.deb
Source Package libmodule-info-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-info-perl deb package:
    # sudo apt-get install libmodule-info-perl

Files

Path
/usr/bin/module_info
/usr/bin/pfunc
/usr/share/doc/libmodule-info-perl/changelog.Debian.gz
/usr/share/doc/libmodule-info-perl/changelog.gz
/usr/share/doc/libmodule-info-perl/copyright
/usr/share/man/man1/module_info.1p.gz
/usr/share/man/man1/pfunc.1p.gz
/usr/share/man/man3/B::BUtils.3pm.gz
/usr/share/man/man3/B::Module::Info.3pm.gz
/usr/share/man/man3/Module::Info.3pm.gz
/usr/share/perl5/B/BUtils.pm
/usr/share/perl5/B/Module/Info.pm
/usr/share/perl5/Module/Info.pm

Changelog

2013-09-21 - Florian Schlichting <fsfs@debian.org>
libmodule-info-perl (0.35-1) unstable; urgency=low
* Import Upstream version 0.35
* Drop all patches, applied upstream
2013-08-12 - Florian Schlichting <fsfs@debian.org>
libmodule-info-perl (0.34-1) unstable; urgency=low
[ Ansgar Burchardt ]
* Update my email address.
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Import Upstream version 0.34.
* Add build-dependency on M::B 0.40.
* Bump Standards-Version to 3.9.4 (update to copyright-format 1.0).
* Refresh and forward patches.
* Add myself to uploaders and copyright.
2010-10-03 - Jonathan Yu <jawnsy@cpan.org>
libmodule-info-perl (0.32-1) unstable; urgency=low
* New upstream release
* Add myself to Uploaders and Copyright
* Standards-Version 3.9.1 (no changes)
* Use new debhelper 8 (drop --buildsystem=perl_build)
* Refresh all patches (2 applied with an offset)
2010-06-06 - Ansgar Burchardt <ansgar@43-1.org>
libmodule-info-perl (0.31-2) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza).
* Set Maintainer to Debian Perl Group.
* Use dist-based URL in debian/watch.
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Ansgar Burchardt ]
* debian/watch: Use extended regexp to match upstream releases.
* Refresh rules for debhelper 7.
* Use Build.PL.
* Use source format 3.0 (quilt).
* Convert debian/copyright to proposed machine-readable format.
* Do not use embedded copy of Test-Simple during build.
* Compare versions as numbers, not as strings in tests.
+ new patch: version-comparison.patch
* Use is_deeply the right way.
+ new patch: is-deeply.patch
* Fix spelling errors.
+ new patch: spelling.patch
* Add missing whatis entry to B::Module::Info.
+ new patch: whatis-entry.patch
* Bump Standards-Version to 3.8.4.
* Add myself to Uploaders.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
2007-07-03 - Jay Bonci <jaybonci@debian.org>
libmodule-info-perl (0.31-1) unstable; urgency=low
* New upstream release
* Bumped policy version to 3.7.2.2 (No other changes)
* Build-Depends-Indep to Build-Depends to satisfy lintian
* Changed debian/rules so that make clean is only conditionally ignored
2005-07-09 - Jay Bonci <jaybonci@debian.org>
libmodule-info-perl (0.28-1) unstable; urgency=low
* New upstream release
* Standards-version bump. No other changes
2005-03-08 - Jay Bonci <jaybonci@debian.org>
libmodule-info-perl (0.27-1) unstable; urgency=low
* New upstream version
2004-10-05 - Jay Bonci <jaybonci@debian.org>
libmodule-info-perl (0.26-2) unstable; urgency=low
* Fixes error in debian/watch file
2004-07-19 - Jay Bonci <jaybonci@debian.org>
libmodule-info-perl (0.26-1) unstable; urgency=low
* New upstream version
2003-10-06 - Jay Bonci <jaybonci@debian.org>
libmodule-info-perl (0.24-1) unstable; urgency=low
* New upstream version

See Also

Package Description
libmodule-inspector-perl_1.05-2_all.deb integrated API for inspecting Perl distributions
libmodule-install-authorrequires-perl_0.02-1_all.deb declare author-only dependencies
libmodule-install-authortests-perl_0.002-1_all.deb designate tests only run by module authors
libmodule-install-autolicense-perl_0.08-1_all.deb automagically generate LICENSE files
libmodule-install-automanifest-perl_0.003-2_all.deb generate MANIFEST automatically
libmodule-install-contributors-perl_0.001-1_all.deb add an "x_contributors" section to your META.yml
libmodule-install-copyright-perl_0.009-1_all.deb package a COPYRIGHT file with a distribution
libmodule-install-doap-perl_0.006-1_all.deb generate META.yml data from DOAP
libmodule-install-doapchangesets-perl_0.206-1_all.deb write your distribution change log in RDF
libmodule-install-extratests-perl_0.008-1_all.deb contextual tests that the harness can ignore
libmodule-install-manifestskip-perl_0.24-1_all.deb generate a MANIFEST.SKIP file
libmodule-install-perl_1.14-1_all.deb framework for installing Perl modules
libmodule-install-rdf-perl_0.009-1_all.deb advanced metadata for your Perl packaging
libmodule-install-readmefrompod-perl_0.22-1_all.deb automatically convert POD to a README
libmodule-install-trustmetayml-perl_0.003-2_all.deb trust META.yml list of dependencies
Advertisement
Advertisement